<!DOCTYPE html>
<html lang="en">
<head>
    <title>Task 32.60 View danh sách các bức ảnh</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container">
        <div class="text-center my-4">
            <h2>DANH SÁCH ẢNH CỦA ALBUM SỐ 3</h2>
        </div>
        <table class="table table-striped table-bordered table-hover" id="table-album">
            <thead style="background-color: rgba(40, 136, 209, 0.664); color: white">
                <tr>
                    <th>STT</th>
                    <th>Album</th>
                    <th>Title</th>
                    <th>Url ảnh</th>
                    <th>Thumbnail</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
<script>
    "use strict";
    //REGION 1

    //REGION 2
    $(document).ready(function(){
        onPageLoading()
    })
    //REGION 3
    //hàm load trang
    function onPageLoading(){
        callApiGetDataAlbum();
    }
    //REGION 4
    //hàm gọi api để lấy dữ liệu album ảnh số 3
    function callApiGetDataAlbum(){
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/albums/3/photos",
            type: "GET",
            dataType: "Json",
            success: function(res){
                console.log(res);
                loadDataToTable(res);
            },
            error: function(ajaxContext){
                console.log(ajaxContext.responseText);
            }
        })
    }
    //hàm load dữu liệu lên table
    function loadDataToTable(paramRes){
        //truy xuất table
        var vTable = $("#table-album");
        //dùng vòng lặp duyệt qua từng phần tử trong mảng
        for(var bI = 0; bI < paramRes.length; bI++){
            //tạo dòng mới
            var vNewRow = $("<tr>").appendTo(vTable);
            //tạo một cột 
            $("<td>", {html: paramRes[bI].id}).appendTo(vNewRow)
            $("<td>", {html: paramRes[bI].albumId}).appendTo(vNewRow)
            $("<td>", {html: paramRes[bI].title}).appendTo(vNewRow)
            $("<td>", {html: paramRes[bI].url}).appendTo(vNewRow)
            //ỏ cột thumbnail
            var vCellThumbnail = $("<td>").appendTo(vNewRow);
                vCellThumbnail =  $("<img>", {src: paramRes[bI].thumbnailUrl}).appendTo(vCellThumbnail);
        }
    }

</script>
</html>